Bug 118332 - Table height unnecessarily increases with multi-line text in merged cells.
Summary: Table height unnecessarily increases with multi-line text in merged cells.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ImpressDraw-Tables
  Show dependency treegraph
 
Reported: 2018-06-23 13:20 UTC by Explorer09
Modified: 2021-06-26 03:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Flat ODF presentation showing affects of STR on the height of the last row adjacent to the merged cell (100.91 KB, application/vnd.oasis.opendocument.presentation)
2018-06-23 15:02 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Explorer09 2018-06-23 13:20:38 UTC
Description:
Happen on Impress only. When I make a table with a merged cell (spanning multiple rows) and multi-line text in it, the minimum height on one of the rows will increase unnecessarily. And that wastes space.

Steps to Reproduce:
1. Open Impress with a blank slide.
2. Create a 3 x 3 table.
3. Merge three cells in the third column altogether.
4. Fill the cells with some text, like this:

    +----+----+-----------------+
    | A1 | B1 | Column C with   |
    +----+----+ multiple lines  |
    | A2 | B2 | of text.(break) |
    +----+----+ Hello world.    |
    | A3 | B3 |                 |
    +----+----+-----------------+

5. Try to shrink the table height by dragging the resize knobs.


Actual Results:
The example will show row 3 with increased minimum table height, and impossible to size it down (unless the multi-line content in the merged cell gets removed).

Expected Results:
I should be able to get optimal minimum table height. Compare the result with Writer's to see what I mean.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 V Stuart Foote 2018-06-23 15:02:40 UTC
Created attachment 143057 [details]
Flat ODF presentation showing affects of STR on the height of the last row adjacent to the merged cell

Confirmed with STR, sample document attached.

on Windows 10 Home 64-bit en-US with
Version: 6.2.0.0.alpha0+ (x64)
Build ID: 2c85607101e2e04e870e3b87362f39f9a9148e6c
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-06-16_00:12:37
Locale: en-US (en_US); Calc: CL

Resize of width (affecting the merged C1 cell) increases the spacing to content of the last row (A3, B3). Would expect the row 3--A3, B3 not to pick up the spacing to content of the merged cell.
Comment 2 Xisco Faulí 2018-06-25 09:55:09 UTC
Also reproducible in

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default; 

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 3 QA Administrators 2019-06-26 02:46:52 UTC Comment hidden (obsolete)
Comment 4 Explorer09 2019-06-26 08:41:50 UTC
Still reproducible in Impress 6.2.4.2 (Windows x64).
Comment 5 QA Administrators 2021-06-26 03:28:35 UTC
Dear Explorer09,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug